Get started
Authentication
To make API requests, you need an access token. Authenticate using your Client ID and API key, which you can find under API in the Airwallex web app . A successful request returns an access token to include as a Bearer token in all subsequent requests.
Example request
1curl --request POST \2 --url 'https://api-demo.airwallex.com/api/v1/authentication/login' \3 --header 'Content-Type: application/json' \4 --header 'x-client-id: YOUR_CLIENT_ID' \5 --header 'x-api-key: YOUR_API_KEY'
Example response
1{2 "token": "eyJhbGciOiJIUzI1NiJ9...",3 "expires_at": "2026-05-12T00:00:00+0000"4}
As connected account
If your platform manages multiple Airwallex connected accounts, you can call any API endpoint on behalf of a connected account by including the x-on-behalf-of header set to the connected account's ID. Your platform credentials are used for authentication — you do not need separate credentials per account.
For more information, see Connected accounts .
Example request
1curl --request GET \2 --url 'https://api-demo.airwallex.com/api/v1/balances/current' \3 --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \4 --header 'x-on-behalf-of: CONNECTED_ACCOUNT_ID'
Was this page helpful?